Skip to navigation

Update Channel

Updates a Channel.

Updatable Fields

The following fields can be updated.

  • name
  • external_id
  • status
  • is_listable_from_ui
  • is_visible

Note

  • Partial updates are supported. In most cases, if a field that cannot be updated is passed in, the API will not respond with an error. It returns a 200 response with the object, in which you will see the field(s) were not updated.
  • platform and type cannot be updated after a channel is created.
  • A channel with status deleted or terminated cannot be updated.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

channel_idlongRequired
The ID of a channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
external_idstringOptional

Associated ID within a system / platform outside of BC.

is_listable_from_uibooleanOptional
Indicates if a channel can create listings from the BigCommerce UI. Default value for this field is based on the channel type and platform combination if not specified on create.
is_visiblebooleanOptional

Indicates if a channel is visible in the BigCommerce control panel. If false, the channel will not show in Channel Manager or in channels dropdowns elsewhere in the UI. Default value for this field is true if not specified on create.

namestringOptional
Name of the channel as it will appear in the store control panel. The only characters it can include are Latin alphabet letters, Arabic numerals, dashes, and underscores.
statusenumOptional

The status of the channel; channel type, platform, and status must be a valid combination. terminated is not valid for PUT or POST requests. deleted is not valid for POST requests. prelaunch is not valid for PUT requests.

Response

The requested channel.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error